madkit.kernel

## Enum Madkit.LevelOption

- java.lang.Object
- - java.lang.Enum<Madkit.LevelOption>
  - - madkit.kernel.Madkit.LevelOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Madkit.LevelOption>, MadkitOption
  Enclosing class:
    Madkit

      public static enum Madkit.LevelOption
      extends java.lang.Enum<Madkit.LevelOption>
      implements MadkitOption

  MaDKit options valued with a string representing a `Level` value. These options could be used from the command line or using the main method of MaDKit.
  Since:
    MaDKit 5.0.0.10
  Version:
    0.9
  Author:
    Fabien Michel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `agentLogLevel` Option defining the default agent log level for newly launched agents.
    `guiLogLevel` Only useful for kernel developers
    `kernelLogLevel` Only useful for kernel developers
    `madkitLogLevel` Can be used to make MaDKit quiet
    `networkLogLevel`
    `warningLogLevel` Deprecated. as of MaDKit 5.2, replaced by `AgentLogger.enableCGRWarnings()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.logging.Level` | `getValue(java.util.Properties session)`
    `java.lang.String` | `toString()` Returns the constant's name prefixed by "`--`" so that it could interpreted as an option of the command line or in `Madkit.Madkit(String...)`.
    `static Madkit.LevelOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Madkit.LevelOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface madkit.kernel.MadkitOption

      `name`

- - ### Enum Constant Detail

    - #### agentLogLevel

          public static final Madkit.LevelOption agentLogLevel

      Option defining the default agent log level for newly launched agents. Default value is "INFO". This value could be overridden individually by agents using `AbstractAgent.setLogLevel(Level)`.

      Example:

      - --agentLogLevel OFF
      - --agentLogLevel ALL
      - --agentLogLevel FINE
      See Also:
        `AbstractAgent.logger`, `Logger`, `AbstractAgent.getMadkitProperty(String)`, `AbstractAgent.setMadkitProperty(String, String)`

    - #### kernelLogLevel

          public static final Madkit.LevelOption kernelLogLevel

      Only useful for kernel developers

    - #### guiLogLevel

          public static final Madkit.LevelOption guiLogLevel

      Only useful for kernel developers

    - #### madkitLogLevel

          public static final Madkit.LevelOption madkitLogLevel

      Can be used to make MaDKit quiet

    - #### warningLogLevel

          public static final Madkit.LevelOption warningLogLevel

      Deprecated. as of MaDKit 5.2, replaced by `AgentLogger.enableCGRWarnings()`
      now useless
      Since:
        MaDKit 5
      See Also:
        `AbstractAgent.logger`, `Logger`, `AbstractAgent.getMadkitProperty(String)`, `AbstractAgent.setMadkitProperty(String, String)`

    - #### networkLogLevel

          public static final Madkit.LevelOption networkLogLevel

  - ### Method Detail

    - #### values

          public static Madkit.LevelOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Madkit.LevelOption c : Madkit.LevelOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Madkit.LevelOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.util.logging.Level getValue(java.util.Properties session)

    - #### toString

          public java.lang.String toString()

      Returns the constant's name prefixed by "`--`" so that it could interpreted as an option of the command line or in `Madkit.Madkit(String...)`.
      Specified by:
        `toString` in interface `MadkitOption`
      Overrides:
        `toString` in class `java.lang.Enum<Madkit.LevelOption>`
      Returns:
        The command line form for this option, with -- in front of the option's name, i.e. `--optionName`

Fabien Michel, Olivier Gutknecht, Jacques Ferber - September 9 2019